package com.cz.uhk.bakalarka.app.dao.exception;

import com.cz.uhk.bakalarka.app.model.MetaData;
import lombok.Getter;

@Getter
/**
 * Exception that is thrown if is thrown ErrorResponseException from MinIO.
 */
public class MinioPayloadErrorResponseException extends MinioPayloadException{

    /**
     * Exception that is thrown if is thrown ErrorResponseException from MinIO.
     * @param errorMessage message that must be contained in exception.
     * @param e exception of ErrorResponse from MinIO.
     */
    public MinioPayloadErrorResponseException(String errorMessage, Throwable e){
        super(errorMessage, e);
    }

    /**
     * Exception that is thrown if is thrown ErrorResponseException from MinIO.
     * @param errorMessage message that must be contained in exception.
     * @param e exception ErrorResponse from MinIO.
     * @param metaData metaData that was part of the process.
     */
    public MinioPayloadErrorResponseException(String errorMessage, Throwable e, MetaData metaData){
        super(errorMessage, e, metaData
        );
    }
}
