package com.cz.uhk.bakalarka.app.dao.exception;

import com.cz.uhk.bakalarka.app.model.MetaData;
import lombok.Getter;

@Getter
/**
 * Exception that is thrown if all exceptions except ErrorResponseException are thrown from MinIO.
 */
public class MinioPayloadException extends Exception{

    private MetaData metaData;

    /**
     * Exception that is thrown if all exceptions except ErrorResponseException are thrown from MinIO.
     * @param errorMessage message that must be contained in exception.
     * @param e all exceptions except ErrorResponseException are thrown from MinIO.
     */
    public MinioPayloadException(String errorMessage, Throwable e){
        super(errorMessage, e);
    }

    public MinioPayloadException(String errorMessage, Throwable error, MetaData metaData){
        super(errorMessage, error);
        this.metaData = metaData;
    }
}
