package com.cz.uhk.bakalarka.app.service.exception;

import com.cz.uhk.bakalarka.app.model.MetaData;
import lombok.Getter;

@Getter
/**
 * Exception that is thrown if is thrown MinioPayloadErrorResponseException from DAO layer.
 */
public class PayloadDaoErrorResponseException extends PayloadDaoException{

    /**
     * Exception that is thrown if there is syntax error in input file.
     * @param errorMessage  message that must be contained in exception.
     */
    public PayloadDaoErrorResponseException(String errorMessage){
        super(errorMessage);
    }

    /**
     * Exception that is thrown if there is syntax error in input file.
     * @param errorMessage  message that must be contained in exception.
     * @param error error of the MinioPayloadErrorResponseException.
     */
    public PayloadDaoErrorResponseException(String errorMessage, Throwable error){
        super(errorMessage,error);
    }

    /**
     * Exception that is thrown if there is syntax error in input file.
     * @param errorMessage  message that must be contained in exception.
     * @param error error of the MinioPayloadErrorResponseException.
     * @param metaData metadata of the file in process.
     */
    public PayloadDaoErrorResponseException(String errorMessage, Throwable error, MetaData metaData){
        super(errorMessage,error, metaData);
    }
}
