package com.cz.uhk.bakalarka.app.service.exception;

import com.cz.uhk.bakalarka.app.model.MetaData;
import lombok.Getter;

@Getter
/**
 * Exception that is thrown if all exceptions except MinioPayloadException are thrown from DAO layer.
 */
public class PayloadDaoException extends Exception{

    protected MetaData metaData;

    /**
     * Exception that is thrown if all exceptions except MinioPayloadException are thrown from DAO layer.
     * @param errorMessage  message that must be contained in exception.
     */
    public PayloadDaoException(String errorMessage) {
        super(errorMessage);
    }

    /**
     * Exception that is thrown if all exceptions except MinioPayloadException are thrown from DAO layer.
     * @param errorMessage  message that must be contained in exception.
     * @param error all exceptions except MinioPayloadException that are thrown from DAO layer.
     */
    public PayloadDaoException(String errorMessage, Throwable error){
        super(errorMessage,error);
    }

    /**
     * Exception that is thrown if all exceptions except MinioPayloadException are thrown from DAO layer.
     * @param errorMessage  message that must be contained in exception.
     * @param error all exceptions except MinioPayloadException that are thrown from DAO layer.
     */
    public PayloadDaoException(String errorMessage, Throwable error, MetaData metaData){
        super(errorMessage,error);
        this.metaData = metaData;
    }
}
