package com.cz.uhk.bakalarka.app.service.interfaces;
import com.cz.uhk.bakalarka.app.service.exception.MissingRequiredMetaDataException;
import com.cz.uhk.bakalarka.app.service.exception.ParsingFileContentSyntaxException;
import org.springframework.web.multipart.MultipartFile;
import java.util.Map;

/**
 * Interface about parsing file to Metadata.
 */
public interface ParserServiceInf {

    /**
     * Method parsing file content and create map of metadata attributes.
     * @param multipartFile File assigned to be parsed.
     * @return Map of the metadata attributes.
     * @throws MissingRequiredMetaDataException Exception is thrown if required attribute missing in the file.
     * @throws ParsingFileContentSyntaxException Exception is thrown if file have bad syntax.
     */
    Map<String,String> parseToMap(MultipartFile multipartFile) throws MissingRequiredMetaDataException, ParsingFileContentSyntaxException;

}
