package com.cz.uhk.bakalarka.app.support;

import java.io.FileInputStream;
import java.io.InputStream;
import java.nio.charset.StandardCharsets;


/**
 * Test support class
 */
public class IOSupport {

    /**
     * read inputStream of the file and convert it into String.
     * @param path path of the file.
     * @return file payload.
     */
    public static String readFile(String path){

        try (InputStream inputStream = new FileInputStream(path)){
            byte[] content = inputStream.readAllBytes();

            return new String(content, StandardCharsets.UTF_8);
        }catch (Exception e){
           return "";
        }
    }

    /**
     * Method that get code from API response.
     * @param result result of the API operation.
     * @return code of the object.
     */
    public static String getCode(String result){
        String[] split = result.split("event:code\n" + "data:");
        String code = split[1];
        code = code.split("\n")[0];
        return code;
    }


}
