package com.cz.uhk.bakalarka.app.support;

import com.cz.uhk.bakalarka.app.model.MetaData;
import com.cz.uhk.bakalarka.app.model.enums.MetaDataTypes;

import java.util.HashMap;
import java.util.Map;

/**
 * test support class that generate variants of metadata.
 */
public class MetaDataSupport {

    public static final String XML_CONTENT_TYPE = "application/xml";
    public static final String JSON_CONTENT_TYPE = "application/json";
    public static final String DEFAULT_BUCKET = "helloworldbucket";

    public static MetaData getMetaDataWithCode(){
        Map<String, String> metaDataMap = new HashMap<>();
        metaDataMap.put(MetaDataTypes.CONTENT_TYPE.name(), "application/json");
        metaDataMap.put(MetaDataTypes.FILE_ID.name(), "082019041100004");
        metaDataMap.put(MetaDataTypes.ARCHIVED.name(), Boolean.toString(false));
        metaDataMap.put(MetaDataTypes.DELETED.name(), Boolean.toString(false));
        metaDataMap.put(MetaDataTypes.FILE_NAME.name(), "originalFileName");
        metaDataMap.put(MetaDataTypes.VERSION_NAME.name(), "3534");
        metaDataMap.put(MetaDataTypes.SENDING_ACCOUNT_ID.name(), "707052300000111241");
        metaDataMap.put(MetaDataTypes.RECEIVING_ACCOUNT_ID.name(), "643002406700047227");
        metaDataMap.put(MetaDataTypes.CODE.name(), "code");

        return new MetaData(metaDataMap);
    }


    public static MetaData getMetaDataWithCode(String code, String contentType){
        Map<String, String> metaDataMap = new HashMap<>();
        metaDataMap.put(MetaDataTypes.CONTENT_TYPE.name(), contentType);
        metaDataMap.put(MetaDataTypes.FILE_ID.name(), "082019041100004");
        metaDataMap.put(MetaDataTypes.FILE_NAME.name(), "originalFileName");
        metaDataMap.put(MetaDataTypes.VERSION_NAME.name(), "3534");
        metaDataMap.put(MetaDataTypes.ARCHIVED.name(), Boolean.toString(false));
        metaDataMap.put(MetaDataTypes.DELETED.name(), Boolean.toString(false));
        metaDataMap.put(MetaDataTypes.SENDING_ACCOUNT_ID.name(), "707052300000111241");
        metaDataMap.put(MetaDataTypes.RECEIVING_ACCOUNT_ID.name(), "643002406700047227");
        metaDataMap.put(MetaDataTypes.CODE.name(), code);

        return new MetaData(metaDataMap);
    }

    public static MetaData getMetaDataWithoutCode(String contentType){
        Map<String, String> metaDataMap = new HashMap<>();
        metaDataMap.put(MetaDataTypes.CONTENT_TYPE.name(), contentType);
        metaDataMap.put(MetaDataTypes.FILE_ID.name(), "082019041100004");
        metaDataMap.put(MetaDataTypes.FILE_NAME.name(), "originalFileName");
        metaDataMap.put(MetaDataTypes.VERSION_NAME.name(), "3534");
        metaDataMap.put(MetaDataTypes.ARCHIVED.name(), Boolean.toString(false));
        metaDataMap.put(MetaDataTypes.DELETED.name(), Boolean.toString(false));
        metaDataMap.put(MetaDataTypes.SENDING_ACCOUNT_ID.name(), "707052300000111241");
        metaDataMap.put(MetaDataTypes.RECEIVING_ACCOUNT_ID.name(), "643002406700047227");

        return new MetaData(metaDataMap);
    }

}
